%define SE_Src SmillaEnlarger_0.9.0_source/SmillaEnlargerSrc/

Name: smillaenlarger
Version: 0.9.0
Release: 5%{?_dist_release}
Summary: small graphical tool to resize based on Qt
Summary(ja): Qt ベースのリサイズのための小さなグラフィカルツール

Group: Applications/Graphics
License: GPLv3
URL: http://sourceforge.net/projects/imageenlarger/
Source0: SmillaEnlarger_%{version}_source.zip
Source1: %{name}.desktop
Patch0: apply_environment.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: unzip
BuildRequires: qt4-devel
BuildRequires: qt4-designer

Requires: qt4%{?_isa} >= %{_qt4_version}

%description
SmillaEnlarger is a small graphical tool (based on Qt) to resize,
especially magnify bitmaps in high quality.

%description -l ja
SmillaEnlarger は、リサイズのための (Qtベースの) 小さなグラフィカルツールです。
特に、ビットマップを高品質に拡大することができます。

%prep
%setup -q -c -T
%{_bindir}/unzip -oq %{SOURCE0}
%patch0 -p1

%build
pushd %{SE_Src}
%{_libdir}/qt4/bin/qmake ImageEnlarger.pro
make %{?_smp_mflags}
popd

%install
pushd %{SE_Src}
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 SmillaEnlarger %{buildroot}%{_bindir}
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps/
%__install -m 644 smilla.png %{buildroot}%{_datadir}/pixmaps/smilla.png
%__install -dm 755 %{buildroot}%{_datadir}/applications/
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
popd

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications>& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:

%files
%defattr(-,root,root,-)
%doc %{SE_Src}docs/*
%{_bindir}/SmillaEnlarger
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 0.9.0-5
- rebuild with gcc-5.4.0

* Sun Mar 30 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.0-4
- rebuilt with new toolchain

* Sun Sep 30 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.0-3
- improved spec

* Sat Feb 19 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.0-2
- included document files

* Sun Jul 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.0-1
- initial build for VineSeed
